#pragma once
#include <windows.h>

class CFloatPoint  
{
public:
	CFloatPoint operator - (CFloatPoint fpoint) const;
	CFloatPoint operator + (CFloatPoint fpoint) const;
	void operator -= (CFloatPoint fpoint);
	void operator += (CFloatPoint fpoint);
	BOOL operator != (CFloatPoint fpoint) const;
	BOOL operator == (CFloatPoint fpoint) const;
	void Offset(float xOffset, float yOffset);
	float y;
	float x;
	CFloatPoint(float fx, float fy);
	CFloatPoint();
	virtual ~CFloatPoint();

};